## com.sun.jersey.api.client.async
Interface AsyncClientHandler

All Known Implementing Classes:
  AsyncViewResource, AsyncWebResource

    public interface AsyncClientHandler

An asynchronous client handler for invoking asynchronous client requests.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.util.concurrent.Future<ClientResponse>` | `handle(ClientRequest r, FutureListener<ClientResponse> l)` Invoke an asynchronous client request.

Method Detail

### handle

    java.util.concurrent.Future<ClientResponse> handle(ClientRequest r,
                                                       FutureListener<ClientResponse> l)

  Invoke an asynchronous client request. This method returns without waiting for the client response.

  Parameters:
    `r` - the client request.
    `l` - the future listener to receive a completed Future with the client response.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

Copyright © 2017 Oracle Corporation. All Rights Reserved.